BlankConstraint (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class BlankConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.AbstractVetoingConstraint
              org.codehaus.groovy.grails.validation.BlankConstraint

    public class BlankConstraint
    extends AbstractVetoingConstraint

A Constraint that validates a string is not blank.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`java.lang.String` | `getName()`
`java.lang.Object` | `getParameter()`
`boolean` | `isBlank()`
`protected boolean` | `processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
`void` | `setParameter(java.lang.Object constraintParameter)`
`protected boolean` | `skipBlankValues()`
`boolean` | `supports(java.lang.Class type)`

Methods inherited from class AbstractVetoingConstraint
processValidate, processValidateWithVetoing, validateWithVetoing

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getName

    public java.lang.String getName()

### getParameter

    @java.lang.Override
    public java.lang.Object getParameter()

### isBlank

    public boolean isBlank()

### processValidateWithVetoing

    @java.lang.Override
    protected boolean processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

### setParameter

    @java.lang.Override
    public void setParameter(java.lang.Object constraintParameter)

### skipBlankValues

    @java.lang.Override
    protected boolean skipBlankValues()

### supports

    @java.lang.SuppressWarnings("rawtypes")
    public boolean supports(java.lang.Class type)

Groovy Documentation